Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.selectors
Class parser

    java.lang.Object
      org.jboss.mq.selectors.parser

All Implemented Interfaces:
  ISelectorParser

public class parser
extends Object
implements ISelectorParser

Field Summary
`static short` | `AND`
`static short` | `AND2`
`static short` | `BETWEEN`
`static short` | `CST`
`static short` | `DIFFERENT`
`static short` | `DOUBLE`
`static short` | `EQUAL`
`static short` | `ESCAPE`
`static short` | `GE`
`static short` | `GT`
`static short` | `IDENTIFIER`
`static short` | `IN`
`static short` | `IS`
`static short` | `LE`
`static short` | `LIKE`
`static short` | `LONG`
`static short` | `LT`
`static short` | `NEG`
`static short` | `NOT`
`static short` | `NULL`
`static short` | `OR`
`static short` | `STRING`
`static short` | `YYERRCODE`

Constructor Summary
`parser()`

Method Summary
`Object` | `parse(String sel, HashMap map)`
`Object` | `parse(String selector, HashMap identifierMap, boolean trace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTIFIER

    public static final short IDENTIFIER

See Also:
  Constant Field Values

### STRING

    public static final short STRING

See Also:
  Constant Field Values

### DOUBLE

    public static final short DOUBLE

See Also:
  Constant Field Values

### LONG

    public static final short LONG

See Also:
  Constant Field Values

### CST

    public static final short CST

See Also:
  Constant Field Values

### NOT

    public static final short NOT

See Also:
  Constant Field Values

### EQUAL

    public static final short EQUAL

See Also:
  Constant Field Values

### GT

    public static final short GT

See Also:
  Constant Field Values

### GE

    public static final short GE

See Also:
  Constant Field Values

### LT

    public static final short LT

See Also:
  Constant Field Values

### LE

    public static final short LE

See Also:
  Constant Field Values

### DIFFERENT

    public static final short DIFFERENT

See Also:
  Constant Field Values

### NEG

    public static final short NEG

See Also:
  Constant Field Values

### BETWEEN

    public static final short BETWEEN

See Also:
  Constant Field Values

### AND2

    public static final short AND2

See Also:
  Constant Field Values

### ESCAPE

    public static final short ESCAPE

See Also:
  Constant Field Values

### LIKE

    public static final short LIKE

See Also:
  Constant Field Values

### NULL

    public static final short NULL

See Also:
  Constant Field Values

### IN

    public static final short IN

See Also:
  Constant Field Values

### IS

    public static final short IS

See Also:
  Constant Field Values

### OR

    public static final short OR

See Also:
  Constant Field Values

### AND

    public static final short AND

See Also:
  Constant Field Values

### YYERRCODE

    public static final short YYERRCODE

See Also:
  Constant Field Values

Constructor Detail

### parser

    public parser()

Method Detail

### parse

    public Object parse(String selector,
                        HashMap identifierMap,
                        boolean trace)
                 throws Exception

  Specified by:
    `parse` in interface `ISelectorParser`
  Throws:
    `Exception`

### parse

    public Object parse(String sel,
                        HashMap map)
                 throws Exception

  Specified by:
    `parse` in interface `ISelectorParser`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.